GSRDCompilingLinux fails

Hi.
I attempted to build linux on Ubuntu 18.04 according to https://rocketboards.org/foswiki/Documentation/GSRDCompilingLinux
At bitbake console-image-minimal
it failed with

“ERROR: Layer meta-altera-refdes is not compatible with the core layer which only supports these series: warrior (layer is compatible with zeus)”

Does anyonw know how to build that angstrom-build? Any fixes? Meanwhile it seems that there is no working procedure.
Thanks.
Ilya

The whole output:
user@user-VirtualBox:~/angstrom-build$ bitbake console-image-minimal
ERROR: Unable to start bitbake server (None)
ERROR: Server log for this session (/home/user/angstrom-build/bitbake-cookerdaemon.log):
— Starting bitbake server pid 26185 at 2020-04-12 16:06:05.091210 —
Traceback (most recent call last):
File “/home/user/angstrom-build/bitbake/lib/bb/cookerdata.py”, line 276, in parseBaseConfiguration
self.data = self.parseConfigurationFiles(self.prefiles, self.postfiles)
File “/home/user/angstrom-build/bitbake/lib/bb/cookerdata.py”, line 396, in parseConfigurationFiles
% (c, " ".join(layerseries), " ".join(compat)))
File “/home/user/angstrom-build/bitbake/lib/bb/init.py”, line 110, in fatal
raise BBHandledException()
bb.BBHandledException

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/user/angstrom-build/bitbake/lib/bb/daemonize.py", line 87, in createDaemon
function()
  File "/home/user/angstrom-build/bitbake/lib/bb/server/process.py", line 459, in _startServer
self.cooker = bb.cooker.BBCooker(self.configuration, self.featureset)
  File "/home/user/angstrom-build/bitbake/lib/bb/cooker.py", line 199, in __init__
self.initConfigurationData()
  File "/home/user/angstrom-build/bitbake/lib/bb/cooker.py", line 364, in initConfigurationData
self.databuilder.parseBaseConfiguration()
  File "/home/user/angstrom-build/bitbake/lib/bb/cookerdata.py", line 311, in parseBaseConfiguration
raise bb.BBHandledException
bb.BBHandledException
WARNING: Layer photography-layer should set LAYERSERIES_COMPAT_photography-layer in its conf/layer.conf file to list the core layer names it is compatible with.
ERROR: Layer meta-altera-refdes is not compatible with the core layer which only supports these series: warrior (layer is compatible with zeus)

Try this Building Yocto Rootfs ERROR

ERROR: Layer meta-altera-refdes is not compatible with the core layer which only supports these series: warrior (layer is compatible with zeus)

This error means that the meta-altera-refdes layer supports only zeus release which will not work when building the older warrior release distribution.

Try switching the meta-altera-refdes to an earlier branch of the github repository.